nn.pp.rccore

## Class VideoSettings.VideoSetting

- java.lang.Object
- - nn.pp.rccore.VideoSettings.VideoSetting

- All Implemented Interfaces:
    IVideoSettings.IVideoSetting
  Direct Known Subclasses:
    VideoSettings.VideoSettingAction, VideoSettings.VideoSettingBoolean, VideoSettings.VideoSettingIntegerReadOnly
  Enclosing class:
    VideoSettings

      public abstract class VideoSettings.VideoSetting
      extends java.lang.Object
      implements IVideoSettings.IVideoSetting

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoSetting()`
    `VideoSetting(VideoSettings.VideoSetting setting)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSupported()` Is this specific setting supported to be set and read?
    `void` | `setSupported(boolean supported)` Set the supported state

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoSetting

          public VideoSetting()

    - #### VideoSetting

          public VideoSetting(VideoSettings.VideoSetting setting)

  - ### Method Detail

    - #### isSupported

          public boolean isSupported()

      Description copied from interface: `IVideoSettings.IVideoSetting`
      Is this specific setting supported to be set and read?
      Specified by:
        `isSupported` in interface `IVideoSettings.IVideoSetting`
      Returns:
        true if this specific setting is supported to be set and read, false otherwise

    - #### setSupported

          public void setSupported(boolean supported)

      Description copied from interface: `IVideoSettings.IVideoSetting`
      Set the supported state
      Specified by:
        `setSupported` in interface `IVideoSettings.IVideoSetting`
      Parameters:
        `supported` - true if this specific setting is supported to be set and read, false otherwise

Copyright © 2025 Raritan Inc. All Rights Reserved.